
CoCoA-5 - Feature #185

Banner for CoCoA-5

11 Jun 2012 12:05 - Anna Maria Bigatti

Status: Closed Start date: 11 Jun 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 1.95 hour

Description

I suggest this banner for CoCoA-5

      "   ______      ______      ___         ______\n" 

      "  / ____/___  / ____/___  /   |       / ____/\n" 

      " / /   / __ `/ /   / __ `/ /| |______/___ `  \n" 

      "/ /___/ /_/ / /___/ /_/ / ___ /_____/___/ /  \n" 

      "`____/`____/`____/`____/_/  |_|    /_____/   "  << endl;

in package? in sources?

Related issues:

Related to CoCoA-5 - Feature #711: External Libs: print credits? Closed 18 May 2015

History

#1 - 11 Jun 2012 13:45 - John Abbott

Will we use the banner in the GUI?

It might be tricky to make it look good if/when the user changes font.

The proposed banner is OK.

#2 - 11 Jun 2012 19:43 - John Abbott

Should "5" be part of the banner?

#3 - 12 Jun 2012 21:43 - Anna Maria Bigatti

John Abbott wrote:

Should "5" be part of the banner?

 

I think so: it is quite different from CoCoA-4, so we'd better emphasize it

#4 - 19 Jun 2012 16:55 - Anna Maria Bigatti

- Category set to Parser/Interpreter

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti
- % Done changed from 10 to 90

The function is called PrintCoCoA5Banner.

I'm checking it all in.

If by default it is printed badly in teh GUI we can decide what to do about it.

In fact it is called in two different places for the text or GUI versions (a bit non-symmetric for my taste, really), so it will be easy to fix it if we don't like

it.

#5 - 26 Jun 2012 08:14 - Anna Maria Bigatti

I placed the definition of the banner in the files Banner.[CH].

I do not like adding a separate file for such a small thing, but the function needs to be accessible from C5.C and Main.C, and they have no common

"include".

Maybe there are other similar (small?) things in common between C5.C and Main.C which can be moved into an external file.  In that case the 

Banner file might change name in future.

#6 - 26 Jun 2012 12:56 - Anna Maria Bigatti

John Abbott wrote:

Will we use the banner in the GUI?

 

I think it is nice to have something looking like "I'm ready now" after the long list of loaded packages.

It might be tricky to make it look good if/when the user changes font.

 

Indeed... I was fairly sure that the default font was fixed-width (and had no pity for those who change it), but it isn't.  So I replaced it with a much

simpler one.

It would be nice to insert a picture, but I have no idea if that's even possible.

#7 - 04 Jul 2012 10:03 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
